View Issue Details

IDProjectCategoryView StatusLast Update
0001008Main CAcert Websiteaccount administrationpublic2013-09-24 19:14
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2012 Q4 
Target Version2013 Q1Fixed in Version2013 Q2 
Summary0001008: View for SE to see if user is Organisation Admin for which Organisation Accounts
DescriptionIt would be useful that a SE is able to see wether a user is organisation administrator for which organisation account so that SE is able to contact an organisation assurer to get additional information about the Orgnaisation account.
TagsNo tags attached.
Reviewed bydastrath, BenBE
Test Instructions

Relationships

related to 0000859 needs workNEOatNHNG feature request: show activity on an account in the admin interface. 

Activities

Werner Dworak

2012-12-26 05:54

updater   ~0003565

At least a SE can recognize an organisation administrator by haven organisation certificates attached. But to know the organisation indeed would be a good asset.

INOPIAE

2013-01-09 13:19

updater   ~0003629

pushed fix to https://github.com/INOPIAE/CAcert/commit/bug-1008

INOPIAE

2013-01-12 23:08

updater   ~0003641

Last edited: 2013-01-15 07:58

View 3 revisions

I logged in as SE
Viewed different accounts
Using the link on Org Server certs shows on pages/account/58.php
is not listed as Organisation Administrator
is not listed as Organisation Administrator =>ok
for Organisation Administrator
is listed as Organisation Administrator for:
list of organisations =>ok

=>ok

Werner Dworak

2013-01-15 09:18

updater   ~0003658

I logged in as SE and viewed different accounts

Using the link on Org Server certs shows, I get the menu pages/account/58.php

If the user is not listed as Organisation Administrator, I get the display:
"is not listed as Organisation Administrator" => ok

If the member is an Organisation Administartor, I get
"is listed as Organisation Administrator for:"
and a list of the organisations => ok

=> ok

MartinGummi

2013-01-16 00:37

updater   ~0003673

Account 1
is listed as Organisation Administrator for:
Organisation Masteraccount
<user> Yes

=> ok

Account 2
is not listed as Organisation Administrator

=> ok

Account 3

is listed as Organisation Administrator for:
Organisation Masteraccount
Org1 No
Org2 No
Org3 No
Org4 Yes
Org5 No

=> ok

INOPIAE

2013-02-19 22:29

updater   ~0003759

as at least two tester approved please review

BenBE

2013-06-11 22:43

updater   ~0004051

Bug 1008 updated on testserver, please retest

Uli60

2013-06-11 23:08

updater   ~0004053

login to admin account
system admin - find user
search for an account with org's connected

account lists default infos
under certificates
Cert Type:
Server:
Client:
GPG:
Org Server: <== has an underlaying link
eg https://cacert1.it-sls.de/account.php?id=58&userid=171053
new page reports:
OrgAdmin for <org> is listed as Organisation Administrator for:
list of organisations
Organisation Masteraccount (Yes/No)

What is, if no Org Server cert is created ?!?
as the link is underlaying the
display name "Org Server:"
with no certs, the link is still there

=> ok


searching for another user with no Org relation:
Org Server link is still there
https://cacert1.it-sls.de/account.php?id=58&userid=171049
<username> is not listed as Organisation Administrator

=> ok

MartinGummi

2013-06-11 23:18

updater   ~0004054

login to admin account
system admin - find user
search for an account with org's connected

Org Server link > ok

list shown

Org Master Account
Foo Yes
Bar Yes
Blafa Yes


Works => Ok

INOPIAE

2013-06-11 23:32

updater   ~0004055

two test and reviews available

wytze

2013-06-26 13:41

developer   ~0004079

The fix has been installed on the production server on June 26, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-06/msg00010.html

Issue History

Date Modified Username Field Change
2012-01-25 22:32 INOPIAE New Issue
2012-01-25 22:33 INOPIAE Relationship added related to 0000859
2012-01-27 22:30 NEOatNHNG Summary View for SE to see if user is Organisation Assurer for which Organisation Accounts => View for SE to see if user is Organisation Admin for which Organisation Accounts
2012-12-26 05:54 Werner Dworak Note Added: 0003565
2012-12-26 05:54 Werner Dworak Status new => needs work
2013-01-09 13:19 INOPIAE Note Added: 0003629
2013-01-09 13:19 INOPIAE Assigned To => BenBE
2013-01-09 13:19 INOPIAE Status needs work => fix available
2013-01-12 19:25 BenBE Reviewed by => BenBE
2013-01-12 19:25 BenBE Status fix available => needs review & testing
2013-01-12 19:25 BenBE Product Version => 2012 Q4
2013-01-12 19:25 BenBE Target Version => 2013 Q1
2013-01-12 23:08 INOPIAE Note Added: 0003641
2013-01-12 23:49 INOPIAE Note Edited: 0003641 View Revisions
2013-01-15 07:58 INOPIAE Note Edited: 0003641 View Revisions
2013-01-15 09:18 Werner Dworak Note Added: 0003658
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 36109ad1
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 2109b884
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 2a7c22f6
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0ffa3d35
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable d36125e7
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 3f26096f
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c1856e28
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 5501ed26
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable d4d385f7
2013-01-16 00:37 MartinGummi Note Added: 0003673
2013-02-19 22:29 INOPIAE Note Added: 0003759
2013-02-19 22:29 INOPIAE Assigned To BenBE => NEOatNHNG
2013-02-19 22:29 INOPIAE Status needs review & testing => needs review
2013-02-19 23:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 40463a25
2013-02-19 23:30 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4a7afbc3
2013-02-19 23:30 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4c45bdd5
2013-02-20 00:05 BenBE Source_changeset_attached => cacert-devel testserver-stable 4a63bf1b
2013-02-20 00:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8ca984ac
2013-02-20 00:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a47ba846
2013-02-20 00:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f25e34aa
2013-02-20 08:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 5c45839d
2013-02-20 08:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 7a3f0631
2013-05-01 19:00 BenBE Source_changeset_attached => cacert-devel testserver-stable b920fdfd
2013-05-01 19:00 INOPIAE Source_changeset_attached => cacert-devel testserver-stable b1edfc72
2013-06-11 22:43 BenBE Note Added: 0004051
2013-06-11 22:43 BenBE Reviewed by BenBE => dastrath, BenBE
2013-06-11 22:43 BenBE Status needs review => needs testing
2013-06-11 22:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 3b2d01aa
2013-06-11 22:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 9c46b712
2013-06-11 23:08 Uli60 Note Added: 0004053
2013-06-11 23:18 MartinGummi Note Added: 0004054
2013-06-11 23:32 INOPIAE Note Added: 0004055
2013-06-11 23:32 INOPIAE Status needs testing => ready to deploy
2013-06-25 20:15 BenBE Source_changeset_attached => cacert-devel release e0e16c75
2013-06-26 13:41 wytze Note Added: 0004079
2013-06-26 13:41 wytze Status ready to deploy => solved?
2013-06-26 13:41 wytze Fixed in Version => 2013 Q2
2013-06-26 13:41 wytze Resolution open => fixed
2013-09-24 19:14 INOPIAE Status solved? => closed